Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPathElement

All Superinterfaces:
  Element, EventTarget, Node, SVGAnimatedPathData, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGLocatable, SVGStylable, SVGTests, SVGTransformable

public interface SVGPathElement
extends SVGElement, SVGTests, SVGLangSpace, SVGExternalResourcesRequired, SVGStylable, SVGTransformable, EventTarget, SVGAnimatedPathData

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGPathSegArcAbs` | `createSVGPathSegArcAbs(float x, float y, float r1, float r2, float angle, boolean largeArcFlag, boolean sweepFlag)`
`SVGPathSegArcRel` | `createSVGPathSegArcRel(float x, float y, float r1, float r2, float angle, boolean largeArcFlag, boolean sweepFlag)`
`SVGPathSegClosePath` | `createSVGPathSegClosePath()`
`SVGPathSegCurvetoCubicAbs` | `createSVGPathSegCurvetoCubicAbs(float x, float y, float x1, float y1, float x2, float y2)`
`SVGPathSegCurvetoCubicRel` | `createSVGPathSegCurvetoCubicRel(float x, float y, float x1, float y1, float x2, float y2)`
`SVGPathSegCurvetoCubicSmoothAbs` | `createSVGPathSegCurvetoCubicSmoothAbs(float x, float y, float x2, float y2)`
`SVGPathSegCurvetoCubicSmoothRel` | `createSVGPathSegCurvetoCubicSmoothRel(float x, float y, float x2, float y2)`
`SVGPathSegCurvetoQuadraticAbs` | `createSVGPathSegCurvetoQuadraticAbs(float x, float y, float x1, float y1)`
`SVGPathSegCurvetoQuadraticRel` | `createSVGPathSegCurvetoQuadraticRel(float x, float y, float x1, float y1)`
`SVGPathSegCurvetoQuadraticSmoothAbs` | `createSVGPathSegCurvetoQuadraticSmoothAbs(float x, float y)`
`SVGPathSegCurvetoQuadraticSmoothRel` | `createSVGPathSegCurvetoQuadraticSmoothRel(float x, float y)`
`SVGPathSegLinetoAbs` | `createSVGPathSegLinetoAbs(float x, float y)`
`SVGPathSegLinetoHorizontalAbs` | `createSVGPathSegLinetoHorizontalAbs(float x)`
`SVGPathSegLinetoHorizontalRel` | `createSVGPathSegLinetoHorizontalRel(float x)`
`SVGPathSegLinetoRel` | `createSVGPathSegLinetoRel(float x, float y)`
`SVGPathSegLinetoVerticalAbs` | `createSVGPathSegLinetoVerticalAbs(float y)`
`SVGPathSegLinetoVerticalRel` | `createSVGPathSegLinetoVerticalRel(float y)`
`SVGPathSegMovetoAbs` | `createSVGPathSegMovetoAbs(float x, float y)`
`SVGPathSegMovetoRel` | `createSVGPathSegMovetoRel(float x, float y)`
`SVGAnimatedNumber` | `getPathLength()`
`int` | `getPathSegAtLength(float distance)`
`SVGPoint` | `getPointAtLength(float distance)`
`float` | `getTotalLength()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.svg.SVGTransformable
`getTransform`

Methods inherited from interface org.w3c.dom.svg.SVGLocatable
`getBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getScreenCTM, getTransformToElement`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Methods inherited from interface org.w3c.dom.svg.SVGAnimatedPathData
`getAnimatedNormalizedPathSegList, getAnimatedPathSegList, getNormalizedPathSegList, getPathSegList`

Method Detail

### getPathLength

    public SVGAnimatedNumber getPathLength()

### getTotalLength

    public float getTotalLength()

### getPointAtLength

    public SVGPoint getPointAtLength(float distance)

### getPathSegAtLength

    public int getPathSegAtLength(float distance)

### createSVGPathSegClosePath

    public SVGPathSegClosePath createSVGPathSegClosePath()

### createSVGPathSegMovetoAbs

    public SVGPathSegMovetoAbs createSVGPathSegMovetoAbs(float x,
                                                         float y)

### createSVGPathSegMovetoRel

    public SVGPathSegMovetoRel createSVGPathSegMovetoRel(float x,
                                                         float y)

### createSVGPathSegLinetoAbs

    public SVGPathSegLinetoAbs createSVGPathSegLinetoAbs(float x,
                                                         float y)

### createSVGPathSegLinetoRel

    public SVGPathSegLinetoRel createSVGPathSegLinetoRel(float x,
                                                         float y)

### createSVGPathSegCurvetoCubicAbs

    public SVGPathSegCurvetoCubicAbs createSVGPathSegCurvetoCubicAbs(float x,
                                                                     float y,
                                                                     float x1,
                                                                     float y1,
                                                                     float x2,
                                                                     float y2)

### createSVGPathSegCurvetoCubicRel

    public SVGPathSegCurvetoCubicRel createSVGPathSegCurvetoCubicRel(float x,
                                                                     float y,
                                                                     float x1,
                                                                     float y1,
                                                                     float x2,
                                                                     float y2)

### createSVGPathSegCurvetoQuadraticAbs

    public SVGPathSegCurvetoQuadraticAbs createSVGPathSegCurvetoQuadraticAbs(float x,
                                                                             float y,
                                                                             float x1,
                                                                             float y1)

### createSVGPathSegCurvetoQuadraticRel

    public SVGPathSegCurvetoQuadraticRel createSVGPathSegCurvetoQuadraticRel(float x,
                                                                             float y,
                                                                             float x1,
                                                                             float y1)

### createSVGPathSegArcAbs

    public SVGPathSegArcAbs createSVGPathSegArcAbs(float x,
                                                   float y,
                                                   float r1,
                                                   float r2,
                                                   float angle,
                                                   boolean largeArcFlag,
                                                   boolean sweepFlag)

### createSVGPathSegArcRel

    public SVGPathSegArcRel createSVGPathSegArcRel(float x,
                                                   float y,
                                                   float r1,
                                                   float r2,
                                                   float angle,
                                                   boolean largeArcFlag,
                                                   boolean sweepFlag)

### createSVGPathSegLinetoHorizontalAbs

    public SVGPathSegLinetoHorizontalAbs createSVGPathSegLinetoHorizontalAbs(float x)

### createSVGPathSegLinetoHorizontalRel

    public SVGPathSegLinetoHorizontalRel createSVGPathSegLinetoHorizontalRel(float x)

### createSVGPathSegLinetoVerticalAbs

    public SVGPathSegLinetoVerticalAbs createSVGPathSegLinetoVerticalAbs(float y)

### createSVGPathSegLinetoVerticalRel

    public SVGPathSegLinetoVerticalRel createSVGPathSegLinetoVerticalRel(float y)

### createSVGPathSegCurvetoCubicSmoothAbs

    public SVGPathSegCurvetoCubicSmoothAbs createSVGPathSegCurvetoCubicSmoothAbs(float x,
                                                                                 float y,
                                                                                 float x2,
                                                                                 float y2)

### createSVGPathSegCurvetoCubicSmoothRel

    public SVGPathSegCurvetoCubicSmoothRel createSVGPathSegCurvetoCubicSmoothRel(float x,
                                                                                 float y,
                                                                                 float x2,
                                                                                 float y2)

### createSVGPathSegCurvetoQuadraticSmoothAbs

    public SVGPathSegCurvetoQuadraticSmoothAbs createSVGPathSegCurvetoQuadraticSmoothAbs(float x,
                                                                                         float y)

### createSVGPathSegCurvetoQuadraticSmoothRel

    public SVGPathSegCurvetoQuadraticSmoothRel createSVGPathSegCurvetoQuadraticSmoothRel(float x,
                                                                                         float y)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD